Talk:Install on Ubuntu 10.04 LTS

From ADempiere ERP Wiki
Revision as of 19:37, 11 May 2011 by CarlosRuiz (talk | contribs) (thanks)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to navigationJump to search

Michael, I disagree with adding more installation pages - I would recommend to delete this page and merge any additional needed information in any of those existent pages. In one of the meetings on OLD PMC Documentation group we discussed the need to have a unique "ONE SINGLE ULTIMATE INSTALLATION GUIDE" - the installation of Adempiere is really easy, I could summarize it as:

  • unzip
  • RUN_setup
  • RUN_ImportAdempiere

and ready, it's installed. But we have here many pages pointing to bad installation practices, like importing the database with psql, or opening all the security of linux/windows.

An ULTIMATE GUIDE must have four sections IMHO:

  • Installation of prerequisites
  • Installation of ADempiere (here the issue is to explain all the fields to be filled in RUN_setup - already explained in several wiki pages)
  • Troubleshooting
  • Post installation steps

The proliferation of installation pages can be attributed mostly to the prerequisites required. You need to install as prerequisite:

  • Java
  • A database (oracle or postgres)
  • set up correctly the environment variables

So, you see on each installation instructions about the prerequisites mostly The prerequisites can be discussed in detailed way in other pages, like the details of installing java on the different linux flavors or windows, and the details of installation oracle, or oracle-xe, or postgresql.

About troubleshooting - then we document there the most common (and uncommon) problems, for example: firewalls, ports assigned to other apps, problems with /etc/hosts, pg_hba.conf, etc.

Finally, I suggest to delete this page (if you want you can move this discussion to another of the many installation pages) because:

  • it's really obsolete - pl/java is not required since very old versions
  • some "required" packages are not really required (openssh, libpq-dev,
  • broken links
  • using X redirection is also obsolete to install servers, you can edit AdempiereEnv.properties and use RUN_silentsetup for that purpose

CarlosRuiz_globalqss 20:27, 9 May 2011 (UTC)

Understood and agree. I'll get back to this section and clean it up shortly. Thanks. MJMcKay 01:26, 10 May 2011 (UTC)
Hi guys. Thanks for the feedback on the page I contributed. I strongly agree that the ADempiere installation needs to be cleaned up. As a newcomer to ADempiere, I was confused with the number of installation pages on relatively old distributions. I'll try to install ADempiere again without the obsolete packages, and contribute to the "ONE SINGLE ULTIMATE INSTALLATION GUIDE". Ren² Gabás 2011-05-11 04:04
I've rewritten the install page into 4 sections so they can easily be copied into the OSUIG. Ren² Gabás 2011-05-11 08:52 (UTC)
Thanks Ren² --CarlosRuiz_globalqss 19:37, 11 May 2011 (UTC)